import PropTypes from 'prop-types';
import { toQueryString } from '@s-ui/js/lib/string';
import useYouTubeProperties from '../hooks/youtube/useYouTubeProperties.js';
import { BASE_CLASS, YOUTUBE_DEFAULT_TITLE } from '../settings/index.js';
import { jsx as _jsx } from "react/jsx-runtime";
var YouTubePlayer = function YouTubePlayer(_ref) {
  var autoPlay = _ref.autoPlay,
    controls = _ref.controls,
    muted = _ref.muted,
    timeLimit = _ref.timeLimit,
    timeOffset = _ref.timeOffset,
    src = _ref.src,
    _ref$title = _ref.title,
    title = _ref$title === void 0 ? YOUTUBE_DEFAULT_TITLE : _ref$title;
  var _useYouTubeProperties = useYouTubeProperties(),
    getEmbeddableUrl = _useYouTubeProperties.getEmbeddableUrl;
  var params = toQueryString({
    autoplay: autoPlay ? '1' : '0',
    controls: controls ? '1' : '0',
    start: timeOffset || '0',
    end: timeLimit,
    mute: muted ? '1' : '0'
  });
  var videoSrc = getEmbeddableUrl(src) + "?" + params;
  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS + "-youtubePlayer",
    children: /*#__PURE__*/_jsx("iframe", {
      className: BASE_CLASS + "-youtubePlayerFrame",
      src: videoSrc,
      title: title,
      frameBorder: "0",
      allow: "accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share",
      allowFullScreen: true
    })
  });
};
export default YouTubePlayer;