import { useCallback, useEffect, useRef } from 'react';
var ONE_SECOND = 1000;
var useTimeLimitCheck = function useTimeLimitCheck(_ref) {
  var playerRef = _ref.playerRef,
    timeLimit = _ref.timeLimit,
    timeOffset = _ref.timeOffset;
  var checkTimeLimitInterval = useRef(null);
  var stopTimeLimitInterval = useCallback(function () {
    if (checkTimeLimitInterval.current === null) return;
    clearInterval(checkTimeLimitInterval.current);
    checkTimeLimitInterval.current = null;
  }, [checkTimeLimitInterval]);
  var startTimeLimitInterval = useCallback(function () {
    stopTimeLimitInterval();
    if (timeLimit === undefined) return;
    checkTimeLimitInterval.current = setInterval(function () {
      var _playerRef$current, _playerRef$current2;
      var currentTime = (_playerRef$current = playerRef.current) == null ? void 0 : _playerRef$current.currentTime;
      var isPlaying = !((_playerRef$current2 = playerRef.current) != null && _playerRef$current2.paused);
      var isTimeLimitReached = currentTime >= timeLimit && timeLimit !== undefined;
      if (isPlaying && isTimeLimitReached) {
        var _playerRef$current3;
        (_playerRef$current3 = playerRef.current) == null ? void 0 : _playerRef$current3.pause();
        playerRef.current.currentTime = timeOffset || 0;
      }
    }, ONE_SECOND);
  }, [checkTimeLimitInterval, playerRef, stopTimeLimitInterval, timeLimit, timeOffset]);
  useEffect(function () {
    return function () {
      stopTimeLimitInterval();
    };
  }, [stopTimeLimitInterval]);
  return {
    startTimeLimitInterval: startTimeLimitInterval,
    stopTimeLimitInterval: stopTimeLimitInterval
  };
};
export default useTimeLimitCheck;