import { UNKNOWN } from '../settings/index.js';
import { DETECTABLE_VIDEO_TYPES, DETECTION_TYPES } from '../settings/players.js';
var useDetectVideoType = function useDetectVideoType() {
  var getVideoExtension = function getVideoExtension(src) {
    if (typeof src !== 'string') {
      return '';
    }
    var srcSplittedByPoints = src.split('.');
    var extension = srcSplittedByPoints[srcSplittedByPoints.length - 1];
    return extension;
  };
  var detectVideoType = function detectVideoType(src) {
    var type = DETECTABLE_VIDEO_TYPES.find(function (detectableType) {
      var DETECTION_TYPE = detectableType.DETECTION_TYPE,
        TYPE_DESCRIPTION = detectableType.TYPE_DESCRIPTION;
      var extension = getVideoExtension(src);
      switch (DETECTION_TYPE) {
        case DETECTION_TYPES.FILE_EXTENSION:
          if (TYPE_DESCRIPTION.FILE_FORMATS.includes(extension)) return true;
          break;
        case DETECTION_TYPES.SRC_INSTANCE_TYPE:
          if (src instanceof TYPE_DESCRIPTION.INSTANCE_TYPE) return true;
          break;
        case DETECTION_TYPES.SRC_PATTERN:
          if (TYPE_DESCRIPTION.SRC_PATTERNS.some(function (pattern) {
            return src.includes(pattern);
          })) return true;
          break;
      }
      return false;
    });
    return type !== undefined ? type.TYPE_DESCRIPTION : UNKNOWN;
  };
  return {
    detectVideoType: detectVideoType
  };
};
export default useDetectVideoType;