import { useEffect, useRef, useState } from 'react';
import { AUTOPLAY } from '../settings/index.js';
var useScrollAutoplayEffect = function useScrollAutoplayEffect(_ref) {
  var autoPlay = _ref.autoPlay,
    muted = _ref.muted,
    ref = _ref.ref,
    _ref$intersectionObse = _ref.intersectionObserverConfiguration,
    root = _ref$intersectionObse.root,
    rootMargin = _ref$intersectionObse.rootMargin,
    threshold = _ref$intersectionObse.threshold;
  /* eslint no-console: "off" */
  if (!muted && autoPlay !== AUTOPLAY.FALSE) console.error('Autoplay is only available when muted is true');
  var observer = useRef(null);
  var _useState = useState(autoPlay !== AUTOPLAY.ON_VIEWPORT ? autoPlay : false),
    autoPlayState = _useState[0],
    setAutoPlayState = _useState[1];
  var callback = function callback(entries, observer) {
    entries.forEach(function (entry) {
      setAutoPlayState(entry.isIntersecting);
    });
  };
  useEffect(function () {
    if (autoPlay !== AUTOPLAY.ON_VIEWPORT) return;
    if (observer.current === null) observer.current = new IntersectionObserver(callback, {
      root: root,
      rootMargin: rootMargin,
      threshold: threshold
    });
    if (ref.current !== null) observer.current.observe(ref.current);
    return function () {
      observer.current !== null && observer.current.disconnect();
    };
  }, [autoPlay, ref, root, rootMargin, threshold]);
  return autoPlayState;
};
export default useScrollAutoplayEffect;