import { VIMEO } from '../../settings/players.js';
var useVimeoProperties = function useVimeoProperties() {
  var getEmbeddableUrl = function getEmbeddableUrl(src) {
    var videoSrc = _replaceNonEmbeddableUrl({
      src: src,
      nonEmbeddableUrl: VIMEO.SRC_PATTERNS[0]
    });
    return videoSrc;
  };
  var _replaceNonEmbeddableUrl = function _replaceNonEmbeddableUrl(_ref) {
    var src = _ref.src,
      nonEmbeddableUrl = _ref.nonEmbeddableUrl;
    var videoSrc = src;
    if (videoSrc.includes(nonEmbeddableUrl)) {
      var videoId = videoSrc.split(nonEmbeddableUrl)[1];
      videoSrc = "" + VIMEO.EMBEDDABLE_URL + videoId;
    }
    return videoSrc;
  };
  return {
    getEmbeddableUrl: getEmbeddableUrl
  };
};
export default useVimeoProperties;